Summary:        OpenCL Library (Installable Client Library) Bindings
Name:           ocl-icd
Version:        2.3.2
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/OCL-dev/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc automake autoconf make libtool opencl-headers ruby rubygems asciidoc xmlto

%description
OpenCL Library (Installable Client Library) Bindings

%package devel
Summary:        OpenCL Library Development files
Requires:       %{name} = %{version}-%{release} opencl-headers

%description devel
OpenCL Library (Installable Client Library) Bindings

This package contains the development files for the OpenCL ICD bindings.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install
rm -vf %{buildroot}%{_libdir}/*.la
rm -vrf %{buildroot}%{_defaultdocdir}

%check
make check

%files
%license COPYING
%doc NEWS README
%{_libdir}/libOpenCL.so.*
%{_mandir}/man7/libOpenCL*.7.*

%files devel
%doc ocl_icd_loader_gen.map ocl_icd_bindings.c
%{_includedir}/ocl_icd.h
%{_libdir}/libOpenCL.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/OpenCL.pc

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.3.2-1
- Upgrade to version 2.3.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 14 2023 Shuo Wang <abushwang@tencent.com> - 2.3.1-1
- initial build
